<?php
/**
* Polish Language File developed by mybboard.pl for Email restriction 1.0
* Tłumaczenie: szulcu
* Poprawki: Ekipa Polskiego Supportu MyBB (mybboard.pl)
* Wersja 1.0
**/

/**
* MyBB Plugin:  Minimum of posts to send emails.
* -------------------------------------------------------------------------------------------
* http://community.mybboard.net
* -------------------------------------------------------------------------------------------
* Author : Babjusi 
* http://community.mybboard.net
**/
if(!defined("IN_MYBB"))
{
	die("Direct initialization of this file is not allowed.<br /><br />Please make sure IN_MYBB is defined.");
}
$plugins->add_hook("member_do_emailuser_start", "emailrestriction");


function emailrestriction_info()
{
	return array(
		"name"			=> "Email Restrictions",
		"description"	=> "Określa liczbę postów uprawniającą do wysłania wiadomości email do innych użytkowników.",
		"website"		=> "http://community.mybboard.net/",
		"version"		=> "1.0",
		"author"		=> "babjusi",
		"authorsite"	=> "http://community.mybboard.net",
		"compatibility"  => "14*",
		'guid'        => '17aa6f7d93a82cf1305fedc580e0faf9'
	);
}
function emailrestriction_activate()
{
	global $db;
	
$settings_group = array(
		'name' => 'emailrestriction',
		'title' => 'Ustawienia pluginu Email restriction',
		'description' => 'Ustawienia liczby postów uprawniającej do wysłania wiadomości email do innych użytkowników',
		'disporder' => '1',
		'isdefault' => 'no'
	);
	$db->insert_query('settinggroups',$settings_group);
	$gid = $db->insert_id();
	
	$setting = array(
		'name' => 'enableemailrestriction',
		'title' => 'Ograniczenie włączone?',
		'description' => 'Po włączeniu tego ograniczenia, użytkownicy, których liczba postów jest mniejsza niż podana niżej, nie będą mogli wysyłać wiadomości email do innych użytkowników.',
		'optionscode' => 'yesno',
		'value' => '0',
		'disporder' => '2',
		'gid' => intval($gid)
	);
	$db->insert_query('settings',$setting);
	
	$emailminimum_posts = array(
		"name" => "emailminimum_posts",
		"title" => "Wymagana liczba postów",
		"description" => "Określ jaka jest minimalna liczba postów, aby użytkownik mógł wysłać email do innego użytkownika forum. Domyślna wartość to 5 postów.",
		"optionscode" => "text",
		"value" => "5",
		"disporder" => "3",
		"gid" => intval($gid),
		);
	$db->insert_query("settings", $emailminimum_posts);
	
	$excluded_emailgroups = array(
		"name" => "excluded_emailgroups",
		"title" => "Wykluczone grupy",
		"description" => "Podaj <strong>ID</strong> grup, których nie dotyczy to ograniczenie. Identyfikatory rozdziel przecinkami.",
		"optionscode" => "text",
		"value" => "",
		"disporder" => "4",
		"gid" => intval($gid),
		);
	$db->insert_query("settings", $excluded_emailgroups);
	
	$excluded_emailusers = array(
		"name" => "excluded_emailusers",
		"title" => "Wykluczeni użytkownicy",
		"description" => "Podaj <strong>ID</strong> użytkowników, których nie dotyczy to ograniczenie. Identyfikatory rozdziel przecinkami.",
		"optionscode" => "text",
		"value" => "",
		"disporder" => "5",
		"gid" => intval($gid),
		);
	$db->insert_query("settings", $excluded_emailusers);

rebuild_settings();
}

function emailrestriction_deactivate()
{
	global $db;

$db->query("DELETE FROM ".TABLE_PREFIX."settinggroups WHERE name='emailrestriction'");
$db->query("DELETE FROM ".TABLE_PREFIX."settings WHERE name='enableemailrestriction'");	
$db->query("DELETE FROM ".TABLE_PREFIX."settings WHERE name='emailminimum_posts'");
$db->query("DELETE FROM ".TABLE_PREFIX."settings WHERE name='excluded_emailgroups'");
$db->query("DELETE FROM ".TABLE_PREFIX."settings WHERE name='excluded_emailusers'");


rebuild_settings();
}
	

function emailrestriction()	
{
global $mybb, $db;	

$excludedemailgroups = explode(',', $mybb->settings['excluded_emailgroups']);
$excludedemailusers = explode(',', $mybb->settings['excluded_emailusers']);

	
if($mybb->settings['enableemailrestriction'] ==1)
{
if(!in_array($mybb->user['usergroup'] , $excludedemailgroups))
{
if(!in_array($mybb->user['uid'] , $excludedemailusers))
{
if ($mybb->user['postnum'] < intval($mybb->settings['emailminimum_posts']))
{
	
	error("Wystąpił błąd. Liczba postów uprawniająca do wysyłania emaili: ". $mybb->settings['emailminimum_posts']. ".");
}

}
}
}
}
	

?>